<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
</head>

<body>
    <div class="container text-center">
        <h2>Thêm học viên mới</h2>
        <div class="d-flex justify-content-center">
            <div class="w-75">
                <div class="row form-group text-left">
                    <div class="col-3">
                        <label class="mt-2" for="inp-name">Họ và tên <span class="text-danger">*</span></label>
                    </div>
                    <div class="col-9">
                        <input id="inp-name" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group text-left">
                    <div class="col-3">
                        <label class="mt-2" for="inp-birthday">Ngày sinh <span class="text-danger">*</span></label>
                    </div>
                    <div class="col-9">
                        <input id="inp-birthday" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group text-left">
                    <div class="col-3">
                        <label class="mt-2" for="inp-email">Email <span class="text-danger">*</span></label>
                    </div>
                    <div class="col-9">
                        <input id="inp-email" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group text-left">
                    <div class="col-3">
                        <label class="mt-2" for="inp-phone">Phone <span class="text-danger">*</span></label>
                    </div>
                    <div class="col-9">
                        <input id="inp-phone" class="form-control" type="text">
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex justify-content-center">
            <button class="btn btn-secondary come-back"><i class="fa fa-chevron-left"></i> Quay lại</button>
            <button class="btn btn-success ml-2 btn-save"><i class="fa fa-save"></i> Lưu</button>
        </div>
    </div>

</body>
<script>
    "use strick"
    // vùng 1
    const gBASE_URL = "https://devcamp-student.herokuapp.com/users/";

    // vùng 2
    // hàm xử lý nhấn nút quay lại
    $(".come-back").click(function () {
        document.location.href = "index.html";
    })
    // hàm xử lý nhấn nút lưu
    $(".btn-save").click(function () {
        var vData = {
            name: "",
            email: "",
            phone: "",
            birthday: "",
        }
        // thu thập thông tin
        GetDataStudent(vData)
        // kiểm tra thông tin
        var vValidate = validateData(vData);
        // call api
        if (vValidate) {
            // call api thêm học viên mới
            callApiInsertStudent(vData);

        }
    })
    // vùng 3
    // vùng 4
    // hàm lấy thông tin từ ô input
    function GetDataStudent(paramData) {
        paramData.name = $("#inp-name").val().trim();
        paramData.email = $("#inp-email").val().trim();
        paramData.phone = $("#inp-phone").val().trim();
        paramData.birthday = $("#inp-birthday").val().trim();
    }
    // hàm kiểm tra thông tin nhập vào
    function validateData(paramData) {
        if (paramData.name === "") {
            alert("hãy nhập tên!");
            return false;
        }

        if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(paramData.email)) {
        }
        else {
            alert("bạn hãy nhập email đúng!")
            return false
        }

        if (isNaN(paramData.phone)) {
            alert("hãy nhập số điện thoại là số!");
            return false;
        }
        if (paramData.phone == "") {
            alert("hãy nhập số điện thoại là số!");
            return false;
        }

        if (paramData.birthday === "") {
            alert("hãy nhập ngày sinh!");
            return false;
        }

        return true;
    }
    // hàm gọi api thêm học viên mới
    function callApiInsertStudent(paramData) {
        $.ajax({
            url: gBASE_URL,
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramData),
            success: function (res) {
                console.log(res);
                alert("thêm thành công")
                // quay về trang chủ
                window.location.href = "index.html";
            },
            error: function (res) {
                console.log(res.status);
                alert("thêm thất bại: " + res.status)

            }
        })
    }

</script>

</html>